Bug 9646 - dir and similar commands are returning the wrong amount of free space.
dir and similar commands are returning the wrong amount of free space.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0.3
All All
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 21:43 UTC by Ira Cooper
Modified: 2013-02-13 18:27 UTC (History)
0 users

See Also:


Attachments
git-am version for 3.6.x. (4.77 KB, patch)
2013-02-08 22:48 UTC, Jeremy Allison
ira: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ira Cooper 2013-02-08 21:43:13 UTC
When you have a share that exports a multi-volume filesystem, different parts of the file system have different amounts of free space.  Currently Samba does not take this into account and always returns the amount free at the base of the share.
Comment 1 Jeremy Allison 2013-02-08 22:16:26 UTC
Patch for 4.0.next:

git cherry-pick 233b32b771188a6b9ee730a2a202023370e80746

from master (applies cleanly to 4.0.next).

Jeremy.
Comment 2 Jeremy Allison 2013-02-08 22:48:13 UTC
Created attachment 8537 [details]
git-am version for 3.6.x.

Version for 3.6.next (including char *filename -> const char *filename fix).

Jeremy.
Comment 3 Jeremy Allison 2013-02-08 22:57:53 UTC
Re-assigning to Karolin for inclusion in 4.0.next and 3.6.next.
Jeremy.
Comment 4 Karolin Seeger 2013-02-12 20:17:20 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-02-13 18:27:05 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!